Subject: [sfc] Status of draft-ietf-sfc-nsh [Was: Meeting at IETF 99 in Prague]

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 29 Jun 2017 23:55:10 +0100

Hi Joel,

You said...

> We are meeting from 15:50 to 17:20 Monday, July 17 in Congress Hall II.
> 
> Please send us requests for agenda time.
> We expect to have the NSH document completed and given to our Area
> Director by then.

I'm both glad and worried to hear this.
Glad because, as you know, I have become frustrated with the lack of progress.
There has been some good discussion of TTL, but was that really the only open
issue?
What about all of the other comments since the last version?
And were all of the previous comments actually addressed?
To be honest, I lost track, but know that I made a lot of comments on the -12
revision and that Med pointed out something that had been missed in -12 from a
previous comment.

If I recall rightly, the WG last call was issued in September last year on the
-09 version. I presume there will be a -13 revision to go to the AD. So four
revisions and 9 months later do you plan to have another WG last call, or are
you declaring consensus on the -13 document?

Thanks,
Adrian

---

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 29 Jun 2017 19:01:46 -0400

We went through all the comments with the authors, and checked again 
after they had made their revisions.  All the comments that were 
received were addressed, according to our best judgment on the WG rough 
consensus.

There will be some time for the WG to look again to make sure we did not 
miss anything before the meeting, which is why I expect (and hope) to 
give it to the AD by the meeting.
Jim and I have not discussed the exact form of the final review.  It 
will be focused on "can you live with the text as it is", as distinct 
from "is this perfect" (I know most of the WG knows the difference, but 
it helps to mention it, as the IETF is VERY good at wordsmithing forever.)

Yours,
Joel anc Jim

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 29 Jun 2017 16:21:07 -0700

Hi Joel,
is the -12 the latest published version of the NSH draft? As I see, it is
missing TTL and all related changes:

3.2.  NSH Base Header

      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |Ver|O|C|R|R|R|R|R|R|   Length  |    MD Type    | Next Protocol |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

But the

WG state <https://datatracker.ietf.org/help/state/draft/ietf> Waiting for
WG Chair Go-Ahead
Doc Shepherd Follow-up Underway

I'm confused.

Regards,
Greg

On Thu, Jun 29, 2017 at 4:01 PM, Joel M. Halpern <[email-masked]>
wrote:

> We went through all the comments with the authors, and checked again after
> they had made their revisions.  All the comments that were received were
> addressed, according to our best judgment on the WG rough consensus.
>
> miss anything before the meeting, which is why I expect (and hope) to give
> it to the AD by the meeting.
> Jim and I have not discussed the exact form of the final review.  It will
> be focused on "can you live with the text as it is", as distinct from "is
> this perfect" (I know most of the WG knows the difference, but it helps to
> mention it, as the IETF is VERY good at wordsmithing forever.)
>
> Yours,
> Joel anc Jim
>
>
> _______________________________________________
> sfc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sfc
>

---

From: Joel Halpern Direct <[email-masked]>
Date: Thu, 29 Jun 2017 19:22:22 -0400

The -13 will be out in a few days with all the changes.
That is what we will ask the WG to review.
If we already had it out, we would have already asked for the WG to take 
a last look.

Yours,
Joel

On 6/29/17 7:21 PM, Greg Mirsky wrote:
> Hi Joel,
> is the -12 the latest published version of the NSH draft? As I see, it 
> is missing TTL and all related changes: